package ru.dbotthepony.mc.otm.client

import net.minecraftforge.client.event.MovementInputUpdateEvent
import net.minecraftforge.eventbus.api.SubscribeEvent
import ru.dbotthepony.mc.otm.capability.android
import ru.dbotthepony.mc.otm.capability.android.AndroidCapabilityPlayer
import ru.dbotthepony.mc.otm.registry.AndroidFeatures

@SubscribeEvent
@Suppress("unused")
fun inputEvent(event: MovementInputUpdateEvent) {
	val ply = event.player
	val input = event.input

	val cap = ply.android as? AndroidCapabilityPlayer ?: return

	if (cap.hasFeature(AndroidFeatures.AIR_BAGS))
		return

	if (ply.abilities.mayfly) {
		cap.lastJumpTicks = 14
	} else {
		if (ply.isInWater) {
			if (ply.isOnGround) {
				cap.lastJumpTicks = 14
			}

			if (ply.isSwimming) {
				ply.isSwimming = false
			}

			if (cap.lastJumpTicks <= 0) {
				input.jumping = false
				input.up = false
			} else {
				cap.lastJumpTicks--
			}
		}
	}
}
