package ru.dbotthepony.mc.otm.client.screen

import net.minecraft.network.chat.Component
import net.minecraft.network.chat.TranslatableComponent
import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.client.screen.panels.*
import ru.dbotthepony.mc.otm.client.screen.widget.PowerGaugePanel
import ru.dbotthepony.mc.otm.core.formatPower

import ru.dbotthepony.mc.otm.menu.StorageImporterMenu
import ru.dbotthepony.mc.otm.menu.StoragePowerSupplierMenu

class StoragePowerSupplierScreen(menu: StoragePowerSupplierMenu, inventory: Inventory, title: Component) :
	MatteryScreen<StoragePowerSupplierMenu>(menu, inventory, title) {
	override fun makeMainFrame(): FramePanel {
		val frame = super.makeMainFrame()!!

		PowerGaugePanel(this, frame, menu.powerWidget, LEFT_MARGIN, GAUGE_TOP_WITH_SLOT)
		SlotPanel(this, frame, menu.batterySlot, LEFT_MARGIN, SLOT_TOP_UNDER_GAUGE)

		object : Label(this@StoragePowerSupplierScreen, frame, 28f, 17f, width = 140f) {
			override fun tick() {
				super.tick()

				text = TranslatableComponent(
					"otm.item.power.passed",
					menu.totalTransferred.value.formatPower()
				)
			}
		}

		return frame
	}
}
